ListTools.Doublet (BioJava-1.5-beta API)
Keywords: org.biojava.utils.ListTools.Doublet class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils
Class ListTools.Doublet

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              org.biojava.utils.ListTools.Doublet

All Implemented Interfaces:
  Serializable, Iterable, Collection, List

Enclosing class:
  ListTools

    public static class ListTools.Doublet

extends AbstractList
implements Serializable

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ListTools.Doublet()`
`ListTools.Doublet(Object a, Object b)`

Method Summary
`boolean` | `equals(Object o)`
`Object` | `get(int indx)`
`Object` | `getA()`
`Object` | `getB()`
`Iterator` | `getIterator()`
`int` | `hashCode()`
`void` | `set(Object a, Object b)`
`void` | `setA(Object a)`
`void` | `setB(Object b)`
`int` | `size()`

Methods inherited from class java.util.AbstractList
`add, add, addAll, clear, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Constructor Detail

### ListTools.Doublet

    public ListTools.Doublet()

### ListTools.Doublet

    public ListTools.Doublet(Object a,
                             Object b)

Method Detail

### set

    public void set(Object a,
                    Object b)

### setA

    public void setA(Object a)

### setB

    public void setB(Object b)

### getA

    public Object getA()

### getB

    public Object getB()

### size

    public int size()

  Specified by:
    `size` in interface `Collection`
  Specified by:
    `size` in interface `List`
  Specified by:
    `size` in class `AbstractCollection`

### get

    public Object get(int indx)

  Specified by:
    `get` in interface `List`
  Specified by:
    `get` in class `AbstractList`

### getIterator

    public Iterator getIterator()

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Collection`
  Specified by:
    `hashCode` in interface `List`
  Overrides:
    `hashCode` in class `AbstractList`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in interface `Collection`
  Specified by:
    `equals` in interface `List`
  Overrides:
    `equals` in class `AbstractList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD